> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcamp.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Project List

> Return all project from Workspace



## OpenAPI

````yaml GET /project
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.teamcamp.app/v1.0/
security:
  - bearerAuth: []
paths:
  /project:
    get:
      description: Return all project from Workspace
      responses:
        '200':
          description: Project response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/getProjects'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    getProjects:
      required:
        - name
      type: object
      properties:
        projectId:
          description: The ID of the project.
          type: string
        projectName:
          description: The Name of the project.
          type: string
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: apiKey
      name: apiKey
      in: header

````